# OceanRobots.jl

Simulation, processing, and analysis of data generated by scientific robots in the Ocean. These include profiling floats (Argo), drifters (GDP), and moorings for examples.

!!! warning	
    This package is in early developement stage when breaking changes can be expected._

In the [Examples](@ref) section you will find:

- [example\_NWP\_NOAA](examples/example_NWP_NOAA.html) displays [NOAA station](https://www.ndbc.noaa.gov/) data
- [example\_WHOTS](examples/example_WHOTS.html) displays [WHOTS mooring](http://www.soest.hawaii.edu/whots/wh_data.html) data
- [example\_GDP.jl](examples/example_GDP.html) : load and display a [drifter]([https://www.aoml.noaa.gov/phod/gdp/hourly_data.php) time series
- [DrifterViz.jl](https://github.com/gaelforget/OceanRobots.jl/blob/master/examples/DrifterViz.jl) : drifting buoy data set animation

For Argo data, please refer to the companion package [ArgoData.jl](https://github.com/JuliaOcean/ArgoData.jl)

## Graphical Examples

Argo profiles count           |  Argo profiles map 
:------------------------------:|:---------------------------------:
![](examples/argo_per_year.png)  |  ![](examples/argo_map_2004.png)
Surface Drifter Track | Mooring Time series 
![](https://user-images.githubusercontent.com/20276764/149673826-a43e2a44-f4e5-437b-99cb-5e032228b3af.png) | ![](https://user-images.githubusercontent.com/20276764/149675305-82364bde-e3a9-4975-8fb2-fb67e17dacc5.png)

## Functionalities

```@index
```

```@autodocs
Modules = [OceanRobots]
```
